%define lib_major 0

Summary: GNOME guile interpreter
Name: gnome-guile
Version: 0.20
Release: 17mdk
License: LGPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/%{name}-%{version}.tar.bz2
# (fc) 0.20-4mdk patches from GNOME CVS to correct warnings/miscompilation
Patch0: gnome-guile-0.20-warnings.patch.bz2
# (fc) 0.20-5mdk compile with latest gtkhtml (from GNOME CVS)
Patch1: gnome-guile-0.20-gtkhtml.patch.bz2
# (fc) 0.20-12mdk fix compilation with latest GNOME1 packages
Patch2: gnome-guile-0.20-gnome1.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org

BuildRequires:	bonobo-devel
BuildRequires:	freetype2-devel
BuildRequires:	gal-devel
BuildRequires:	guile-devel
BuildRequires:	libghttp-devel
BuildRequires:	libgtkhtml-devel
BuildRequires:	libtermcap-devel
BuildRequires:	texinfo

%description
GNOME guile (gnomeg) is a guile interpreter with GTK and GNOME support.
A number of GNOME utilities are written to use gnomeg.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package -n lib%{name}%{lib_major}
Summary: Dynamic libraries for GNOME guile
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}

%description -n lib%{name}%{lib_major}
GNOME guile (gnomeg) is a guile interpreter with GTK and GNOME support.
A number of GNOME utilities are written to use gnomeg.

%package -n lib%{name}%{lib_major}-devel
Summary: GNOME guile libraries, includes, etc
Group: Development/Other
Requires: %{name} = %{version}
Requires: lib%{name}%{lib_major} = %{version}-%{release}
Obsoletes: %{name}-devel
Provides:  %{name}-devel = %{version}-%{release}
Provides:  lib%{name}-devel = %{version}-%{release}
Requires: gnome-libs-devel

%description -n lib%{name}%{lib_major}-devel
Libraries and header files for GNOME guile development


%prep
%setup -q
%patch0 -p1 -b .warnings
%patch1 -p1 -b .gtkhtml
%patch2 -p1 -b .gnome1

# need by patch2
automake

%build

# needed since we build GNOME1 platform 
export HAVE_PKG_CONFIG=no

%configure --without-bonobo

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{lib_major} -p /sbin/ldconfig

%postun -n lib%{name}%{lib_major}  -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/guile

%files -n lib%{name}%{lib_major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*


%files -n lib%{name}%{lib_major}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/*
%{_datadir}/guile-gtk
%{_datadir}/guile-gnome

%changelog
* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-17mdk
- Recompiled against latest gal/gtkhtml
- Regenerate patches 1 & 2 for gtkhtml 1.1.x

* Fri Jun 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-16mdk
- Recompiled against latest gettext
- Libification

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.20-15mdk
- BuildRequires
- Rebuild for libgal19

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-14mdk
- Regenerate patch2 for latest libglade
- Recompiled against latest gtkhtml

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-13mdk
- Recompiled against latest gal/gtkhtml

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-12mdk
- Patch1:fix compilation with latest gdk-pixbuf/gtkhtml..
- Recompiled against latest gal/gtkhtml

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 0.20-11mdk
- BuildRequires: libxml-devel

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-10mdk
- Recompiled against libgtkhtml16/libgal12

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.20-9mdk
- BuildRequires: bonobo-devel
- Removed redundant BuildRequires (db1-devel)

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-8mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-7mdk
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-6mdk
- Patch1: Recompiled against latest gal

* Thu Jul 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-5mdk
- Fix missing libraries in main package

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-4mdk
- Disable bonobo support (not stable according to authors)
- Remove ifarch alpha
- Recompiled against latest guile
- Remove bad symlink at install

* Mon Jul 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.20-3mdk
- BuildRequires:	db1-devel gal-devel GConf-devel gnome-print-devel
  libghttp-devel libunicode-devel
- Removed BuildRequires: ORBit-devel XFree86-devel audiofile-devel
  esound-devel gnome-libs-devel gtk+-devel imlib-devel zlib-devel

* Mon Jul 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-2mdk
- Bonobo and gtkhtml support is back
- Fix compilation (disable pkg-config detection)

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-1mdk
- Release 0.20

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-0.2.1mdk
- Release 0.20pre2

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-4mdk
- Correct build requires

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-3mdk
- Correct dependency (thanks to Stefan van der Eijk) and filelist

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10-2mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- first Mandrake package
- BM + macroszification
- don't compile with bonobo

* Sat Feb 27 1999 Gregory Mclean <gregm@comstar.net>

- fixed this up so it will build on more then one alpha and this file is
  generated.

* Wed May 27 1998 Michael Fulbright <msf@redhat.com>

- modified file list to include %{_datadir}/guile, %{_datadir}/gtk

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-guile CVS source tree
